Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollections

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollections

    public final class LazyCollections
    extends java.lang.Object

`LazyCollection`s utility class.

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> LazyBag<T>` `asLazyBag​(java.util.Collection<T> source)` Returns `source` wrapped as a `LazyBag`.
`static <T> LazyList<T>` `asLazyList​(java.util.Collection<T> source)` Returns `source` wrapped as a `LazyList`.
`static <T> LazyOrderedSet<T>` `asLazyOrderedSet​(java.util.Collection<T> source)` Returns `source` wrapped as a `LazyOrderedSet`.
`static <T> LazySet<T>` `asLazySet​(java.util.Collection<T> source)` Returns `source` wrapped as a `LazySet`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### asLazyList

    public static <T> LazyList<T> asLazyList​(java.util.Collection<T> source)

Returns `source` wrapped as a `LazyList`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazyList`

#### asLazyOrderedSet

    public static <T> LazyOrderedSet<T> asLazyOrderedSet​(java.util.Collection<T> source)

Returns `source` wrapped as a `LazyOrderedSet`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazyList`

#### asLazyBag

    public static <T> LazyBag<T> asLazyBag​(java.util.Collection<T> source)

Returns `source` wrapped as a `LazyBag`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazyBag`

#### asLazySet

    public static <T> LazySet<T> asLazySet​(java.util.Collection<T> source)

Returns `source` wrapped as a `LazySet`.

Parameters:
  `source` - the source collection to wrap
Returns:
  `source` wrapped as a `LazySet`